Search People
curl --request POST \
--url https://api.aisa.one/apis/v1/companyenrich/search-people \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 50,
"pageSize": 10
}
'import requests
url = "https://api.aisa.one/apis/v1/companyenrich/search-people"
payload = {
"page": 50,
"pageSize": 10
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({page: 50, pageSize: 10})
};
fetch('https://api.aisa.one/apis/v1/companyenrich/search-people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/companyenrich/search-people",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'page' => 50,
'pageSize' => 10
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/companyenrich/search-people"
payload := strings.NewReader("{\n \"page\": 50,\n \"pageSize\": 10\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/companyenrich/search-people")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"page\": 50,\n \"pageSize\": 10\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/companyenrich/search-people")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"page\": 50,\n \"pageSize\": 10\n}"
response = http.request(request)
puts response.read_body{
"page": 123,
"items": [
{
"id": 123,
"name": "<string>",
"socials": {
"linkedin_url": "<string>"
},
"location": {
"address": "<string>",
"country": {
"code": "<string>",
"name": "<string>",
"latitude": 123,
"longitude": 123
}
},
"position": "<string>",
"education": [
{
"degree": [
"<string>"
],
"endYear": 123,
"startYear": 123,
"institution": {
"id": "<string>",
"name": "<string>",
"domain": "<string>",
"industry": "<string>",
"logo_url": "<string>"
},
"socialHandle": "<string>",
"institutionName": "<string>"
}
],
"image_url": "<string>",
"last_name": "<string>",
"seniority": "<string>",
"department": "<string>",
"first_name": "<string>",
"updated_at": "<string>",
"experiences": [
{
"type": "<string>",
"company": {
"id": "<string>",
"name": "<string>",
"domain": "<string>",
"industry": "<string>",
"logo_url": "<string>"
},
"endDate": "<string>",
"position": "<string>",
"isCurrent": true,
"isMatched": true,
"seniority": "<string>",
"startDate": "<string>",
"department": "<string>",
"companyName": "<string>"
}
]
}
],
"totalItems": 123,
"totalPages": 123
}CompanyEnrich
Search People
<!-- aisa-pricing:start -->
Usage-based billing; Default request estimate: $0.0193 USD (not a fixed price). Declared unit rate: $0.000001 USD per provider_credit. Account-specific pricing and final settlement may differ.
<!-- aisa-pricing:end -->
POST
https://api.aisa.one
/
apis
/
v1
/
companyenrich
/
search-people
Search People
curl --request POST \
--url https://api.aisa.one/apis/v1/companyenrich/search-people \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 50,
"pageSize": 10
}
'import requests
url = "https://api.aisa.one/apis/v1/companyenrich/search-people"
payload = {
"page": 50,
"pageSize": 10
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({page: 50, pageSize: 10})
};
fetch('https://api.aisa.one/apis/v1/companyenrich/search-people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/companyenrich/search-people",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'page' => 50,
'pageSize' => 10
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/companyenrich/search-people"
payload := strings.NewReader("{\n \"page\": 50,\n \"pageSize\": 10\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/companyenrich/search-people")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"page\": 50,\n \"pageSize\": 10\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/companyenrich/search-people")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"page\": 50,\n \"pageSize\": 10\n}"
response = http.request(request)
puts response.read_body{
"page": 123,
"items": [
{
"id": 123,
"name": "<string>",
"socials": {
"linkedin_url": "<string>"
},
"location": {
"address": "<string>",
"country": {
"code": "<string>",
"name": "<string>",
"latitude": 123,
"longitude": 123
}
},
"position": "<string>",
"education": [
{
"degree": [
"<string>"
],
"endYear": 123,
"startYear": 123,
"institution": {
"id": "<string>",
"name": "<string>",
"domain": "<string>",
"industry": "<string>",
"logo_url": "<string>"
},
"socialHandle": "<string>",
"institutionName": "<string>"
}
],
"image_url": "<string>",
"last_name": "<string>",
"seniority": "<string>",
"department": "<string>",
"first_name": "<string>",
"updated_at": "<string>",
"experiences": [
{
"type": "<string>",
"company": {
"id": "<string>",
"name": "<string>",
"domain": "<string>",
"industry": "<string>",
"logo_url": "<string>"
},
"endDate": "<string>",
"position": "<string>",
"isCurrent": true,
"isMatched": true,
"seniority": "<string>",
"startDate": "<string>",
"department": "<string>",
"companyName": "<string>"
}
]
}
],
"totalItems": 123,
"totalPages": 123
}Request contract
- Method and path: POST /apis/v1/companyenrich/search-people
- Availability: enabled
- Request URL template:
https://api.aisa.one/apis/v1/companyenrich/search-people - Runtime facts: 820bb7817c59193621186d0a7e630f3f0f7d277be8c4a30ac65cde11e8c585c7
{
"operationId": "companyenrich.search-people",
"method": "POST",
"path": "/apis/v1/companyenrich/search-people",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"page": {
"maximum": 100,
"minimum": 1,
"type": "integer",
"description": "The page number to return. Must be greater than 0"
},
"query": {
"type": "string",
"examples": [
"google",
"microsoft"
],
"maxLength": 250,
"description": "The search query to apply on the company name and domain"
},
"domains": {
"type": "array",
"items": {
"type": "string"
},
"examples": [
[
"google.com",
"microsoft.com"
]
],
"description": "The domains to find people for. Up to 100 domains are allowed."
},
"pageSize": {
"maximum": 100,
"minimum": 1,
"type": "integer",
"description": "The number of results to return in each page. Must be between 1 and 100",
"examples": [
10,
25,
50
]
},
"countries": {
"type": "array",
"items": {
"type": "string"
},
"examples": [
[
"US",
"GB",
"CA"
]
],
"description": "The 2 letter country codes to filter by"
},
"seniority": {
"type": "array",
"items": {
"enum": [
"owner",
"founder",
"c-suite",
"partner",
"vp",
"head",
"director",
"manager",
"senior",
"entry",
"intern"
],
"type": "string",
"description": "Seniority levels for filtering people"
},
"description": "The seniorities to filter by"
},
"department": {
"type": "array",
"items": {
"enum": [
"c-suite",
"c-suite/executive",
"c-suite/finance-executive",
"c-suite/founder",
"c-suite/human-resources-executive",
"c-suite/information-technology-executive",
"c-suite/legal-executive",
"c-suite/marketing-executive",
"c-suite/medical-health-executive",
"c-suite/operations-executive",
"c-suite/sales-executive",
"product-management",
"product-management/product-development",
"product-management/product-management",
"engineering-technical",
"engineering-technical/software-development",
"engineering-technical/data-science",
"engineering-technical/devops",
"engineering-technical/mobile-development",
"engineering-technical/web-development",
"design",
"design/product-ui-ux-design",
"education",
"finance",
"finance/accounting",
"finance/financial-planning-analysis",
"human-resources",
"human-resources/recruiting-talent-acquisition",
"information-technology",
"information-technology/application-development",
"information-technology/information-security",
"legal",
"legal/compliance",
"marketing",
"marketing/digital-marketing",
"marketing/content-marketing",
"medical-health",
"operations",
"operations/logistics",
"operations/supply-chain",
"sales",
"sales/business-development",
"sales/customer-success",
"consulting",
"consulting/consultant"
],
"type": "string",
"description": "Department filters for people search"
},
"description": "The departments to filter by"
},
"positionQuery": {
"type": "array",
"items": {
"type": "string"
},
"examples": [
[
"engineer",
"manager",
"director"
]
],
"description": "The list of search queries to apply on the person's current job position/title"
}
},
"required": [
"page",
"pageSize"
]
}
}
}
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.0193,
"estimate_source": "profile_seed",
"evidence_source": "response_body",
"maximum_units": 10000000,
"unit": "provider_credit",
"unit_rate_usd": 1e-06
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Usage-based billing; Default request estimate: $0.0193 USD (not a fixed price). Declared unit rate: $0.000001 USD per provider_credit. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 0.0193
- Declared unit rate (USD): 1e-06
- Billing unit: provider_credit
- Cost contract: response_units
- Published reference multiplier: 1.0
- Declared maximum count/units: 10000000
- Settlement evidence source: response_body
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The page number to return. Must be greater than 0
Required range:
1 <= x <= 100The number of results to return in each page. Must be between 1 and 100
Required range:
1 <= x <= 100Examples:
10
25
50
The search query to apply on the company name and domain
Maximum string length:
250Examples:
"google"
"microsoft"
The domains to find people for. Up to 100 domains are allowed.
Example:
["google.com", "microsoft.com"]
The 2 letter country codes to filter by
Example:
["US", "GB", "CA"]
The seniorities to filter by
Seniority levels for filtering people
Available options:
owner, founder, c-suite, partner, vp, head, director, manager, senior, entry, intern The departments to filter by
Department filters for people search
Available options:
c-suite, c-suite/executive, c-suite/finance-executive, c-suite/founder, c-suite/human-resources-executive, c-suite/information-technology-executive, c-suite/legal-executive, c-suite/marketing-executive, c-suite/medical-health-executive, c-suite/operations-executive, c-suite/sales-executive, product-management, product-management/product-development, product-management/product-management, engineering-technical, engineering-technical/software-development, engineering-technical/data-science, engineering-technical/devops, engineering-technical/mobile-development, engineering-technical/web-development, design, design/product-ui-ux-design, education, finance, finance/accounting, finance/financial-planning-analysis, human-resources, human-resources/recruiting-talent-acquisition, information-technology, information-technology/application-development, information-technology/information-security, legal, legal/compliance, marketing, marketing/digital-marketing, marketing/content-marketing, medical-health, operations, operations/logistics, operations/supply-chain, sales, sales/business-development, sales/customer-success, consulting, consulting/consultant The list of search queries to apply on the person's current job position/title
Example:
["engineer", "manager", "director"]